Skip to content

State of a channel

Get the state of a channel

No authentication required
key path · string *
channel key

Responses

Channel state
Response schema
statestring
Channel state
enum: HANGUP RINGING ANSWERED
example: HANGUP
get https://{username}.voxbi.cloud/api/{version}/calls/channelstate/{key}
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/calls/channelstate/{key}'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/calls/channelstate/{key}', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/calls/channelstate/{key}')
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/calls/channelstate/{key}', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.